
grid = {}
newgrid = {}
scaleX, scaleY = 2, 2

gamestate = require "hump.gamestate"
editor = require "editor"
menu = require "menu"
update = require "update"

function love.load()
	gamestate.registerEvents()
	gamestate.switch(menu)

	-- Initialize grids
	for i = 1, 16 do
		grid[i] = {}
		newgrid[i] = {}

		for j = 1, 16 do
			grid[i][j] = 0
			newgrid[i][j] = 0
		end
	end
end

function love.resize(w, h)
	scaleX, scaleY = w / 256, h / 256
end
